com.sun.grid.jsv

## Class BindingSpecifier

- java.lang.Object
- - com.sun.grid.jsv.BindingSpecifier

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public final class BindingSpecifier
      extends java.lang.Object
      implements java.lang.Cloneable, java.io.Serializable

  The BindingSpecifier object represents the core binding settings for a job. It contains the binding type, strategy, and strategy parameters.
  Since:
    6.2u5
  See Also:
    `` , Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `BindingSpecifier.CoreSpecifier`
    `static class` | `BindingSpecifier.Strategy`
    `static class` | `BindingSpecifier.Type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BindingSpecifier()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BindingSpecifier` | `clone()`
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getAmount()` Returns the number of cores
    `int` | `getCore()` Returns the core on the start socket
    `java.util.List<BindingSpecifier.CoreSpecifier>` | `getCoreSpecifiers()` Returns the core specifier list (only explicit binding)
    `int` | `getSocket()` Returns the start socket
    `int` | `getStep()` Returns the step size
    `BindingSpecifier.Strategy` | `getStrategy()` Returns the binding strategy string
    `BindingSpecifier.Type` | `getType()` Returns the binding type
    `int` | `hashCode()`
    `java.lang.Boolean` | `isEnvType()` Returns true if type is env
    `java.lang.Boolean` | `isExplicit()` Returns true if binding strategy is explicit
    `java.lang.Boolean` | `isLinear()` Returns true if binding strategy is linear
    `java.lang.Boolean` | `isPeType()` Returns true if type is pe
    `java.lang.Boolean` | `isSetType()` Returns true if type is set
    `java.lang.Boolean` | `isStriding()` Returns true if binding strategy is striding
    `void` | `setAmount(int amount)` Sets the binding amount
    `void` | `setCore(int core)` Sets the binding core
    `void` | `setExplicitStrategy(java.util.List<BindingSpecifier.CoreSpecifier> socketCore)` Set explicit binding strategy specifying socket/core map
    `void` | `setLinearStrategy(int amount)` Set linear-automatic binding strategy
    `void` | `setLinearStrategy(int amount, int socket, int core)` Set linear binding strategy
    `void` | `setPeType()` Set binding type to type pe
    `void` | `setSetType()` Set binding type to type 'set'
    `void` | `setSocket(int socket)` Sets the binding socket
    `void` | `setStep(int step)` Sets the binding step size
    `void` | `setStrategy(BindingSpecifier.Strategy strategy)` Set binding strategy string
    `void` | `setStridingStrategy(int amount)` Set striding-automatic binding strategy
    `void` | `setStridingStrategy(int amount, int socket, int core)` Set striding binding strategy
    `void` | `setType(BindingSpecifier.Type type)` Set binding type
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BindingSpecifier

          public BindingSpecifier()

  - ### Method Detail

    - #### setStrategy

          public void setStrategy(BindingSpecifier.Strategy strategy)

      Set binding strategy string
      Parameters:
        `strategy` - new strategy

    - #### setLinearStrategy

          public void setLinearStrategy(int amount,
                                        int socket,
                                        int core)

      Set linear binding strategy
      Parameters:
        `amount` - number of cores
        `socket` - first socket
        `core` - first core on socket

    - #### setLinearStrategy

          public void setLinearStrategy(int amount)

      Set linear-automatic binding strategy
      Parameters:
        `amount` - number of sockets

    - #### setStridingStrategy

          public void setStridingStrategy(int amount,
                                          int socket,
                                          int core)

      Set striding binding strategy
      Parameters:
        `amount` - number of cores
        `socket` - first socket
        `core` - first core on socket

    - #### setStridingStrategy

          public void setStridingStrategy(int amount)

      Set striding-automatic binding strategy
      Parameters:
        `amount` - number of cores

    - #### setExplicitStrategy

          public void setExplicitStrategy(java.util.List<BindingSpecifier.CoreSpecifier> socketCore)

      Set explicit binding strategy specifying socket/core map
      Parameters:
        `socketCore` - list of cores

    - #### isLinear

          public java.lang.Boolean isLinear()

      Returns true if binding strategy is linear
      Returns:
        true in case of linear binding

    - #### isStriding

          public java.lang.Boolean isStriding()

      Returns true if binding strategy is striding
      Returns:
        true in case of striding binding

    - #### isExplicit

          public java.lang.Boolean isExplicit()

      Returns true if binding strategy is explicit
      Returns:
        true in case of explicit binding

    - #### getStrategy

          public BindingSpecifier.Strategy getStrategy()

      Returns the binding strategy string
      Returns:
        binding strategy

    - #### setType

          public void setType(BindingSpecifier.Type type)

      Set binding type

    - #### setSetType

          public void setSetType()

      Set binding type to type 'set'

    - #### setPeType

          public void setPeType()

      Set binding type to type pe

    - #### isSetType

          public java.lang.Boolean isSetType()

      Returns true if type is set
      Returns:
        true in case of set type

    - #### isPeType

          public java.lang.Boolean isPeType()

      Returns true if type is pe
      Returns:
        true in case of pe type

    - #### isEnvType

          public java.lang.Boolean isEnvType()

      Returns true if type is env
      Returns:
        true in case of env type

    - #### getType

          public BindingSpecifier.Type getType()

      Returns the binding type
      Returns:
        binding type

    - #### getAmount

          public int getAmount()

      Returns the number of cores
      Returns:
        core amount

    - #### setAmount

          public void setAmount(int amount)

      Sets the binding amount
      Parameters:
        `amount` - binding amount

    - #### getSocket

          public int getSocket()

      Returns the start socket
      Returns:
        start socket

    - #### setSocket

          public void setSocket(int socket)

      Sets the binding socket
      Parameters:
        `socket` - binding socket

    - #### getCore

          public int getCore()

      Returns the core on the start socket
      Returns:
        start core

    - #### setCore

          public void setCore(int core)

      Sets the binding core
      Parameters:
        `core` - binding core

    - #### getStep

          public int getStep()

      Returns the step size
      Returns:
        step size

    - #### setStep

          public void setStep(int step)

      Sets the binding step size
      Parameters:
        `step` - binding step size

    - #### getCoreSpecifiers

          public java.util.List<BindingSpecifier.CoreSpecifier> getCoreSpecifiers()

      Returns the core specifier list (only explicit binding)
      Returns:
        list of core specifiers

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### clone

          public BindingSpecifier clone()

      Overrides:
        `clone` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`